SCIM 密钥角色无效

Moses Skoda工程师预计阅读 1 分钟

发生此问题时,API 返回 422 Unprocessable Content。其 type 为 https://lingo.dev/docs/api/errors/scim-key-role-invalid。所有错误的通用结构,请参阅错误和状态码。

SCIM 密钥必须分配角色。请为密钥分配所有者以外的角色,且该角色须具有 org:manage_team 权限。

字段#

除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本由这些字段生成,因此客户端也可以自行组织要显示的文本。

字段类型
reason"noRole" | "owner" | "lacksManageTeam"
roleIdstring

示例#

json
{
  "detail": "A SCIM key needs a role. Give the key a role other than Owner that grants org:manage_team.",
  "reason": "noRole",
  "roleId": "<roleId>",
  "type": "https://lingo.dev/docs/api/errors/scim-key-role-invalid",
  "status": 422,
  "title": "SCIM key role invalid"
}

返回此错误的端点#

  • PATCH /v2/service-api-keys/{id}
  • POST /v2/organizations/{orgId}/service-api-keys/scim